> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Login Links

> Generate a new login link to allow native login for an identity with username and password.

<Info>
  Generated login links are valid for **48 hours**. After that, they expire and users must use a newly generated link to connect their account.
</Info>


## OpenAPI

````yaml v1/api/business.json post /identities/{identity_uid}/generate-login-links
openapi: 3.1.0
info:
  title: ED's Public API
  description: ED's Public API
  version: 26.622.88
servers:
  - url: https://api.edges.run/v1/
security:
  - APIKeyHeader: []
paths:
  /identities/{identity_uid}/generate-login-links:
    post:
      tags:
        - Core
      summary: Generate Login Links for an identity.
      description: Generate Login Links
      operationId: generate_login_links
      parameters:
        - name: identity_uid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Identity Uid
      responses:
        '200':
          description: Login links successfully generated.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericResponse_IdentityGenrateLoginLinksPublicModel_
              example:
                linkedin: https://app.edges.run/identities/linkedin/login?token=XXXXXX
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GenericResponse_IdentityGenrateLoginLinksPublicModel_:
      allOf:
        - $ref: '#/components/schemas/IdentityGenrateLoginLinksPublicModel'
      title: GenericResponse[IdentityGenrateLoginLinksPublicModel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IdentityGenrateLoginLinksPublicModel:
      properties:
        linkedin:
          type: string
          title: Linkedin
      type: object
      required:
        - linkedin
      title: IdentityGenrateLoginLinksPublicModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key required for authentication. Add your API key in the X-API-Key
        header.

````